Поддержка Проблемы и решения polylang вызывает критическую ошибку

  • Всем привет. При установке плагина polylang и его активации, выдают ошибку на сайте:

    Warning: Cannot modify header information — headers already sent by (output started at /var/www/u0614985/data/www/exprod.ua/index.php:1) in /var/www/u0614985/data/www/exprod.ua/wp-content/plugins/polylang/frontend/choose-lang.phpon line 274

    ругается на строку 274 — «header( ‘Vary: Accept-Language’ );».

    Удалил пустое место перед тегом <?php, не помогло. В чем может бить причина?

Просмотр 1 ответа (всего 1)
  • Модератор Yui

    (@fierevere)

    ゆい

    /var/www/u0614985/data/www/exprod.ua/index.php:1

    а тут у вас что? редактировали файл? восстановите из архива дистрибутива вашей версии

    https://ru.wordpress.org/download/releases/

    Удалил пустое место перед тегом <?php, не помогло. В чем может бить причина?

    если делали это в блокноте вендовом, то оставили метку BOM, ее не видно. Пользуйтесь Notepad++ или Akelpad, устанавливая там режим «UTF8 без BOM»

Просмотр 1 ответа (всего 1)